Skip to main content
GET
List all usage attribution types

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number. Defaults to 1. A value that is not a positive integer, such as 0, returns the first page.

Example:

1

per_page
integer

Number of records per page. Defaults to 100. The maximum is 200, unless another maximum is configured for your organization. A value above the maximum returns a 422 error with value_is_out_of_range on per_page. A value that is not a positive integer, such as 0, returns the default number of records.

Example:

20

role
enum<string>

Filter usage attribution types by role. Role of the usage attribution type:

  • hierarchical: the type can have a parent and children, and forms a level of the account tree.
  • flat: the type stands on its own. It cannot have a parent or children.
Available options:
hierarchical,
flat
Example:

"hierarchical"

search_term
string

Filter usage attribution types by search term. The term is matched against the code and the name of the type.

Example:

"team"

Response

List of usage attribution types

usage_attribution_types
object[]
required
meta
object
required